<div class="miam-recipes-history">
  <h3 class="miam-recipes-history__title">
    <span>Mon historique de repas</span>
    <div class="miam-recipes-history__title__pagination" *ngIf="totalPages && totalPages > 1">
      <ng-miam-icon height='24' width='24' [iconName]="icon.ChevronDown" class="left" primaryColor="grey" (click)="page(-1)"></ng-miam-icon>
      <span>page {{ pageNumber }}/{{ totalPages }}</span>
      <ng-miam-icon height='24' width='24' [iconName]="icon.ChevronDown" class="right" primaryColor="grey" (click)="page(1)"></ng-miam-icon>
    </div>
  </h3>
  <div *ngIf="recipesGroups.length < 1">Vous n'avez aucun repas dans votre historique.</div>
  <div *ngFor="let group of recipesGroups" class="miam-recipes-history__groups">
    <div class="miam-recipes-history__groups__header" (click)="toggleGroup(group)">
      <h4 class="miam-recipes-history__groups__header__date">{{ group.date | extendedDate }}</h4>
      <div class="miam-recipes-history__groups__header__chevron" [ngClass]="{ rotate: !group.show }">
        <ng-miam-icon height='32' width='32' [iconName]="icon.ChevronDown"></ng-miam-icon>
      </div>
    </div>
    <div class="miam-recipes-history__groups__recipes" [ngClass]="{ wrap: !group.show }">
      <div *ngFor="let line of group.lines">
        <ng-miam-basket-preview-line
          *ngIf="line | async as loadedLine"
          [line]="loadedLine"
          class="miam-recipes-history__groups__recipes__line"
        ></ng-miam-basket-preview-line>
      </div>
    </div>
  </div>
</div>